Last modified: 2013-01-06 12:04:35 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 32215 - [Wikimedia Messages] Change all sitesupport-url to a https URL
[Wikimedia Messages] Change all sitesupport-url to a https URL
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WikimediaMessages (Other open bugs)
unspecified
All All
: Normal normal with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2011-11-05 10:04 UTC by Umherirrender
Modified: 2013-01-06 12:04 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Umherirrender 2011-11-05 10:04:41 UTC
I am not sure, if protocol-relative url in the sidebar works, when it works, please change all sitesupport-url to protocol-relative urls, so https user get a https link. When not, we need another bug for that, which blocks this bug.

This needs also some on-wiki changes, because at least de.wp has a local message [[de:MediaWiki:Sitesupport-url]].

Thanks.
Comment 1 Derk-Jan Hartman 2011-11-13 14:54:28 UTC
We need something to scan all these messages for local changes, and then someone to do the dirty work of changing them. Who's got the bot skills ? :D
Comment 2 Siebrand Mazeland 2011-11-24 07:47:40 UTC
I do dare to change URLs in the form [ http://some.wikimedia.org desc ], but the URL in MediaWiki:Sitesupport-url can also be used in raw contexts, and changing it would break things.

So I think we can't actually do this, because we cannot be certain that the URLs in this message are *only* used in the correct scenarios, or can we?

If my assumptions are correct, this would be a "wontfix"; input appreciated.
Comment 3 Roan Kattouw 2011-11-24 10:37:10 UTC
If anything, sitesupport-url should probably just be an https link, because it links to the donation interface.
Comment 4 Purodha Blissenbach 2011-11-26 09:27:32 UTC
Does a {{scheme}} pseudo constant fix this class of issues?
Comment 5 Umherirrender 2011-11-27 11:24:11 UTC
https sounds better than protocol relative, changing summary
Comment 6 Roan Kattouw 2011-11-30 11:51:12 UTC
(In reply to comment #4)
> Does a {{scheme}} pseudo constant fix this class of issues?
You mean a magic word that returns 'http' or 'https' depending on which protocol the current user is using? No, that deliberately doesn't exist because it would break the parser cache.
Comment 7 Umherirrender 2012-07-07 20:32:08 UTC
It is possible to do the change on translatewiki with a global replace? Thanks.
Comment 8 Purodha Blissenbach 2012-07-08 12:30:46 UTC
Partially. You would not catch local versions of the sidebar.
I am afraid that most wikis have ones, so the changes for those must happen on each wiki individually.
Comment 9 Umherirrender 2012-07-08 15:17:31 UTC
(In reply to comment #8)
> Partially. You would not catch local versions of the sidebar.
> I am afraid that most wikis have ones, so the changes for those must happen on
> each wiki individually.

Yes, that needs also onwiki changes, but changing the translation on translatewiki.net will be a begin.
Comment 10 Nemo 2012-07-25 09:37:56 UTC
This has been fixed at some point on local messages (which do indeed exist on each and every wiki), is anything else needed?
Comment 11 Umherirrender 2012-07-27 14:04:12 UTC
In my opinion this needs fixing in the i18n file to get it also to new wikis.
Comment 12 Umherirrender 2012-07-29 16:41:45 UTC
See Gerrit change #16916
Comment 13 Umherirrender 2012-07-29 19:56:48 UTC
successfully merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links